<?php
 class Personnel 
 { public  $matricule = 112233 ; // Les propriétés
   private $_nom      = "Kasma";
   public function AffichePersonne()
   { echo "matricule : ".$this->matricule."  ";
     echo "_nom : ".$this->_nom."  "          ;
     echo "maladies: ".$this->maladies."  "   ;
     echo PHP_EOL ;
   }
 }
 class Medecin extends Personnel 
 { protected $maladies="Asthme"  ; // Propriétés
   public function AffichePatient()
   { echo "matricule  : ".$this->matricule."  ";
     echo "_nom : ".$this->_nom."  "           ;
     echo "maladies: ".$this->maladies."  "    ;
     echo PHP_EOL ;
   }
 }
 // === Programme ===
 $salarie = new Personnel()   ;
 $docteur = new Medecin()     ;
 echo "-- Salarié  --".PHP_EOL;
 $salarie->AffichePersonne()  ;
 $salarie->matricule=998877   ;// Accès en dehors de la classe
 echo "Nouveau matricule : ".$salarie->matricule.PHP_EOL;
 //echo "Nom : ".$salarie->_nom.PHP_EOL; // Erreur
 echo "-- Docteur --".PHP_EOL ;
 $docteur->AffichePatient()   ;
?>
